//
//  ViewController.swift
//  AmpSimpleSample
//
//  Created by Lopez Valenciano, Miguel on 3/31/16.
//  Copyright © 2023 Akamai. All rights reserved.
//

import UIKit
import AmpCore
import AmpFBAudienceNetwork

class ViewController: UIViewController, PlayerEventObserver {
    
    var ampPlayer: AmpPlayer!
    var fbAds: AmpFBAudienceNetworkManager!
    
    let url = "https://bitdash-a.akamaihd.net/content/MI201109210084_1/m3u8s/f08e80da-bf1d-4e3d-8899-f0f6155f6efa.m3u8"
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.ampPlayer = AmpPlayer(parentView: self.view)
        self.ampPlayer.setLicense("AwFBnDybkNXVGL6gjGd09kVr51KbH1DLV4678quHp0rLFRY1SQi32yHDvpvrrnC6XmWoGuwyOydedxhxNCK4zu1FdhnYmED44Y8XL7BLYPbi+ZNLeHsKftMcdKREenpF5JQoHDpmC/tOB+LVvjT93lXxhxwY+SINGxyZ1iYBbV85TtbIxSRBH9D6UL0wji7CDKHE/UV+XhxUH9n6sQ1t6+ocjv9IHweXiwF0+aQZqpsQoc1pmbqoBf0nwTXGn76EgCU=")
        self.ampPlayer.autoplay = true
        self.ampPlayer.setPoster("https://www.iphonetricks.org/wp-content/uploads/2017/06/ios-11-wallpaper-for-ipad-1.jpg")
        
        print("AKAMAI PLAYER VERSION: \(self.ampPlayer!.version)")
        self.ampPlayer.registerObserver(self)
        fbAds = AmpFBAudienceNetworkManager(player: ampPlayer, placementID:"YOUR_PLACEMENT_ID", adBreaksAtSeconds:[10,20,30])
        fbAds.enablePreroll(enabled: true)
        fbAds.enablePostroll(enabled: true)
        
        self.ampPlayer.play(url: url)
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    func onBufferingStateChanged(_ ampPlayer: AmpPlayer) {
        if ampPlayer.bufferingState == .ready {
            print("Buffer is ready")
            //print("Stream type \(ampPlayer.streamType)")
        }
    }
    
    func onAmpError(_ ampPlayer: AmpPlayer, error: PlayerError) {
        print("Amp has reported an error: \(error.description)")
    }
    
    func onAdStarted(ad: AdInfo?) {
        print("AMP detected an Ad start of type: \(ad!.position)")
    }
    
    func onAdEnded(ad: AdInfo?) {
        print("AMP detected an Ad end of type: \(ad!.position)")
    }
}
